JceKEKRecipientInfoGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.jcajce

## Class JceKEKRecipientInfoGenerator

- java.lang.Object
- - org.bouncycastle.cms.KEKRecipientInfoGenerator
  - - org.bouncycastle.cms.jcajce.JceKEKRecipientInfoGenerator

- All Implemented Interfaces:
    RecipientInfoGenerator

      public class JceKEKRecipientInfoGenerator
      extends KEKRecipientInfoGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.KEKRecipientInfoGenerator

      `wrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceKEKRecipientInfoGenerator(byte[] keyIdentifier, javax.crypto.SecretKey keyEncryptionKey)`
    `JceKEKRecipientInfoGenerator(org.bouncycastle.asn1.cms.KEKIdentifier kekIdentifier, javax.crypto.SecretKey keyEncryptionKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JceKEKRecipientInfoGenerator` | `setProvider(java.security.Provider provider)`
    `JceKEKRecipientInfoGenerator` | `setProvider(java.lang.String providerName)`
    `JceKEKRecipientInfoGenerator` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.cms.KEKRecipientInfoGenerator

      `generate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceKEKRecipientInfoGenerator

          public JceKEKRecipientInfoGenerator(org.bouncycastle.asn1.cms.KEKIdentifier kekIdentifier,
                                      javax.crypto.SecretKey keyEncryptionKey)

    - #### JceKEKRecipientInfoGenerator

          public JceKEKRecipientInfoGenerator(byte[] keyIdentifier,
                                      javax.crypto.SecretKey keyEncryptionKey)

  - ### Method Detail

    - #### setProvider

          public JceKEKRecipientInfoGenerator setProvider(java.security.Provider provider)

    - #### setProvider

          public JceKEKRecipientInfoGenerator setProvider(java.lang.String providerName)

    - #### setSecureRandom

          public JceKEKRecipientInfoGenerator setSecureRandom(java.security.SecureRandom random)